Hello Folks,

You might have seen or heard this error, if not see the following steps, how this error has been generated? And how this error will be get rid off?

While going through the Installation Rules step, you have got an error “Microsoft .NET Framework 3.5 Service Pack 1 is required”.


Therefore, we need to download this, just browse the link to proceed further;


While installing this software, you might get an error:


Next, you have to open a Server Manager.


Under the feature tab, you have to go through the “Add Features” button. Just click on it.


As soon as you enable this “.NET Framework 3.5.1 Features”, you will flash up with new window-


Click on the “Add Required Role Services”. Then the feature selection window will show up!


Click on the Next button. Then the Web Server (IIS) window will show up!


Click on the Next button.


Click on the Next button again.


Click on the Install button.


The Warning Message is for the Automatic Update, however I have disabled it! But of course you can enable it, without any issue!!!

Click on the close button.


Hence the problem is being solved successfully, and also you can click on the Re-run button, to execute it again!


Well, this was all about the problems that might occur while the installation of “Microsoft .NET Framework 3.5 Service Pack 1”.

Hope you got it understood well :)

And also comments on this!!



Piyush Bajaj

Like us on FaceBook Follow us on Twitter | Join the fastest growing SQL Server group on FaceBook

Follow me on Twitter  |  Follow me on FaceBook